Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#10 v0.49 Alpha

open-fixed
nobody
None
5
2003-04-30
2003-03-31
Anonymous
No

The Project Options - General tab

After Reopening this tab, the Makefile Name and
Makefile Directore fields become blank, even after re-
entering this field, it doesnt same the info and comes as
blank next time. Same happens with the Output file field.

pkparchure@sify.com

Discussion

  • manu b
    manu b
    2003-04-01

    Logged In: YES
    user_id=295543

    That problem should be fixed in the release 0.49a-20030304.

    Manu.

     
  • Logged In: NO

    manubee:
    > That problem should be fixed in the release 0.49a-20030304.

    I *am* using 0.49a-20030304

    and this problem still occurs... it renders Visual MinGW
    totally useless, because without these settings, it's
    impossible to compile the project... :(

     
  • manu b
    manu b
    2003-04-30

    • status: open --> open-fixed
     
  • manu b
    manu b
    2003-04-30

    Logged In: YES
    user_id=295543

    >Comment By: Nobody/Anonymous (nobody)
    >Date: 2003-04-29 14:45
    >
    >Message:
    >Logged In: NO
    >
    >manubee:
    >> That problem should be fixed in the release 0.49a-20030304.
    >
    >
    >I *am* using 0.49a-20030304
    >
    >and this problem still occurs... it renders Visual MinGW
    >totally useless, because without these settings, it's
    >impossible to compile the project... :(

    I apologize for that problem, it doesn't occur under W*n98,
    so I never had it. Anyway, that bug was fixed in CVS sources.
    The next release will be ok.
    Meanwhile, you can apply the patch below, to the sources in
    "Visual-MinGW\Projects\vmingw\local\src".
    Then build getopt, winui and vmingw accordingly to the build
    instructions, from the home page, then copy the binary, or run
    "update-exe.bat".
    You can also download and build CVS sources, cf the html
    docs.

    Manu.

    diff -rup -x*.exe -x*.o -x*.a -x*.dll -x*CVS* -x*.ini -x*deps* -xzip -xprivate
    repository/src/common.cpp local/src/common.cpp
    --- repository/src/common.cpp Mon Mar 3 02:56:12 2003
    +++ local/src/common.cpp Wed Apr 30 00:13:52 2003
    @@ -63,8 +63,8 @@ return 0;
    bool CFilePath::SetPath(const char *filename, const char *directory){

    _sep = '\\';
    + CString fullpath(_MAX_PATH);
    if (directory && filename){
    - CString fullpath(_MAX_PATH);
    if (!fullpath.printf("%s%c%s", directory, _sep, filename))
    return false;
    filename = fullpath.c_str();

     
  • manu b
    manu b
    2003-04-30

    patch against release 0.49

     
    Attachments